View Issue Details

IDProjectCategoryView StatusLast Update
0002281Ham Radio DeluxeEnhancementpublic2018-03-04 15:18
Assigned ToK7ZCZ 
Status closedResolutionfixed 
Product Version 
Target Version6.4.0.793Fixed in Version6.4.0.794 
Summary0002281: Add IC-7610 to supported radio's
DescriptionThe IC-7610 is just released.
Support needs to be implemented.
Steps To ReproduceN/A
Additional InformationAs per today, still waiting for the CI-V instruction set.
Will add when avail.
TagsNo tags attached.
Sub-ModuleRadio Support
Testing Beta Successful




2018-02-26 11:04

administrator   ~0004326


I've made a check in to clean up some cruft in the rig control app as I get started implementing IC-7610 support.

This self set has a first pass at support for the Icom IC-7610


2018-02-28 06:20

viewer   ~0004328

Sorry - I don't have the IC-7610 to test


2018-02-28 09:09

manager   ~0004331

This change set was checked in to add a first pass at IC-7610 support.


2018-03-01 13:52

viewer   ~0004340

Selecting VFO-B does not make a change to the frequency, only to VFO-A.
All buttons top right work as intended.
Only the VFO-B on the left does not work as intended.
The sliders work as intended. Good job.


2018-03-01 21:13

administrator   ~0004342

Last edited: 2018-03-01 21:45

View 2 revisions

G3UCQ - Do other Icom radios differ in their behavior with regards to VFO B?

I'm going to say this is beta test successful with one known exception.


2018-03-03 22:15

administrator   ~0004352

We believe the VFO-B issue is resolved in the 793 build. Test please.


2018-03-04 03:52

viewer   ~0004429

Selecting the VFO A button, selects VFO A on the radio.
Selecting VFO B selects the VFO B on the radio.

With VFO A selected, changing the large frequency display changes the frequency on the radio.
Changing the frequency of VFO B in rig control changes the frequency on the radio and the large frequency display.
When the mouse button is released the large frequency display changes to what is on the radio. Both VFOs on the radio are then reading the same as rig control.

With VFO B selected in rig control, both frequencies in rig control become the same even though VFO A on the radio is different. See the two images.
Changing frequency on the radio, the two frequencies in rig control become the same but VFO A on the radio stays to what it was.

I hope I have explained this clearly.

7610.jpg (126,402 bytes)
7610.jpg (126,402 bytes)
rig control.JPG (38,003 bytes)
rig control.JPG (38,003 bytes)


2018-03-04 04:17

viewer   ~0004430

My sincere apologies. Ignore the above as Tracking was turned on in the radio. However there are still problems,

With the VFO A button selected in rig control, the frequencies change in rig control and on the radio as they should.

With VFO B button selected, changing the frequency of the large display in rig control, changes the frequency of VFO A on the radio even though it is not selected on the radio. On releasing the mouse button the frequency in rig control changes to that of the small frequency display but the frequency of VFO A on the radio stays.
Changing the frequency of the small display in rig control does change the frequency of VFO B on the radio.

Issue History

Date Modified Username Field Change
2017-11-16 02:41 PD9FER New Issue
2018-02-26 11:03 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-02-26 11:04 WA9PIE Status new => resolved
2018-02-26 11:04 WA9PIE Resolution open => fixed
2018-02-26 11:04 WA9PIE Fixed in Version =>
2018-02-26 11:04 WA9PIE Testing => Not Started
2018-02-26 11:04 WA9PIE Note Added: 0004326
2018-02-26 11:05 WA9PIE Assigned To => K7ZCZ
2018-02-28 06:20 g3ypp Note Added: 0004328
2018-02-28 09:09 K7ZCZ Note Added: 0004331
2018-03-01 13:52 g3ucq Note Added: 0004340
2018-03-01 21:13 WA9PIE Note Added: 0004342
2018-03-01 21:45 WA9PIE Note Edited: 0004342 View Revisions
2018-03-01 21:45 WA9PIE Testing Not Started => Beta Successful
2018-03-03 22:15 WA9PIE Note Added: 0004352
2018-03-03 22:16 WA9PIE Fixed in Version =>
2018-03-03 22:16 WA9PIE Testing Beta Successful => Not Started
2018-03-04 03:52 g3ucq File Added: 7610.jpg
2018-03-04 03:52 g3ucq File Added: rig control.JPG
2018-03-04 03:52 g3ucq Note Added: 0004429
2018-03-04 04:17 g3ucq Note Added: 0004430
2018-03-04 14:17 WA9PIE Target Version =>
2018-03-04 14:17 WA9PIE Fixed in Version =>
2018-03-04 15:17 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-03-04 15:18 WA9PIE Status resolved => closed
2018-03-04 15:18 WA9PIE Testing Not Started => Beta Successful